var epsFolder = Folder.selectDialog("Select folder containing EPS files.", "~");
var epsFiles = epsFolder.getFiles("*.eps");

for (var i = 0; i < epsFiles.length; i++) {
  var epsFile = epsFiles[i];
  
  // Open the EPS file
  var doc = app.open(epsFile);

  // Save as AI file
  var aiFile = new File(epsFile.fullName.replace(".eps", ".ai"));
  var aiSaveOptions = new IllustratorSaveOptions();
  doc.saveAs(aiFile, aiSaveOptions);

  // Close the EPS file without saving changes
  doc.close(SaveOptions.DONOTSAVECHANGES);
}

alert("EPS files converted to AI successfully!");
