var svgFolder = Folder.selectDialog("Select folder containing SVG files.", "~");
var svgFiles = svgFolder.getFiles("*.svg");

for (var i = 0; i < svgFiles.length; i++) {
  var svgFile = svgFiles[i];
  
  // Open the SVG file
  var doc = app.open(svgFile);

  // Save as AI file
  var aiFile = new File(svgFile.fullName.replace(".svg", ".ai"));
  var aiSaveOptions = new IllustratorSaveOptions();
  doc.saveAs(aiFile, aiSaveOptions);

  // Close the SVG file without saving changes
  doc.close(SaveOptions.DONOTSAVECHANGES);
}

alert("SVG files converted to AI successfully!");
